ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.IOffsetAndScale Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IOffsetAndScale:

## Public Member Functions
float | GetScale (EChannel channel)
| Returns multiplier of input.
void | SetScale (EChannel channel, float value)
| Sets multiplier of input.
float | GetOffset (EChannel channel)
| Returns Offset to input.
void | SetOffset (EChannel channel, float value)
| Sets Offset to input.
float | GetTransitionRate (EChannel channel)
| Returns Transition rate of the output. Limits change of output value per second (0.0 means no limit)
void | SetTransitionRate (EChannel channel, float value)
| Sets Transition rate of the output. Limits change of output value per second (0.0 means no limit)

## Member Function Documentation

## ◆ GetOffset()

float ICC4cPwmSdk.Device.IOffsetAndScale.GetOffset | ( | EChannel | channel | ) |

Returns Offset to input.

Returns

## ◆ GetScale()

float ICC4cPwmSdk.Device.IOffsetAndScale.GetScale | ( | EChannel | channel | ) |

Returns multiplier of input.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetTransitionRate()

float ICC4cPwmSdk.Device.IOffsetAndScale.GetTransitionRate | ( | EChannel | channel | ) |

Returns Transition rate of the output. Limits change of output value per second (0.0 means no limit)

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetOffset()

void ICC4cPwmSdk.Device.IOffsetAndScale.SetOffset | ( | EChannel | channel,
|  | float | value )

Sets Offset to input.

Returns

## ◆ SetScale()

void ICC4cPwmSdk.Device.IOffsetAndScale.SetScale | ( | EChannel | channel,
|  | float | value )

Sets multiplier of input.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetTransitionRate()

void ICC4cPwmSdk.Device.IOffsetAndScale.SetTransitionRate | ( | EChannel | channel,
|  | float | value )

Sets Transition rate of the output. Limits change of output value per second (0.0 means no limit)

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/ICC4cPwmSdkDeviceController.cs